package com.njcn.csdevice.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.njcn.csdevice.pojo.dto.DataArrayDTO;
import com.njcn.csdevice.pojo.param.DataArrayParam;
import com.njcn.csdevice.pojo.po.CsDataArray;
import com.njcn.csdevice.pojo.vo.EnergyTemplateVO;
import com.njcn.csdevice.pojo.vo.LineTargetVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 详细数据表 Mapper 接口
 * </p>
 *
 * @author xuyang
 * @since 2023-05-31
 */
public interface CsDataArrayMapper extends BaseMapper<CsDataArray> {

    List<LineTargetVO> getDataArray(@Param("list") List<String> list);

    List<DataArrayDTO> getData(@Param("list") List<String> list);

    List<CsDataArray> getDictData(@Param("id") String id);

    List<CsDataArray> getGroupData(@Param("id") String id);

    List<EnergyTemplateVO> getArrayByGroup(@Param("list") List<String> list);

    List<CsDataArray> findListByParam(@Param("param")  DataArrayParam param);
}
